'$INCLUDE: 'future.bi'

DEFINT A-Z

KBHon                           'turn on the handler

X = 160: Y = 100              'sprite placement vars
SCREEN 7, , 1, 0                'Screen 7

DO                              'Start a loop
                               
CLS
PRINT "Z-keyboard"              'Draw a stupid
CIRCLE (X, Y), 9, 10          'little circle thingy ;-)

IF GetKey(72) THEN Y = Y - 2
IF GetKey(80) THEN Y = Y + 2
IF GetKey(77) THEN X = X + 2
IF GetKey(75) THEN X = X - 2

WAIT &H3DA, 8                   'a little delay
WAIT &H3DA, 8, 8                '.............
PCOPY 1, 0                      'display them page and
LOOP UNTIL GetKey(1)             'loop back until ESC

KBHoff                          'turn off the ZKBH

